Jump to content
  • Advertisement
Sign in to follow this  
ysg

Having a hard time getting Eclipse + Android to install the necessary libraries

This topic is 1858 days old which is more than the 365 day threshold we allow for new replies. Please post a new topic.

If you intended to correct an error in the post then please contact us.

Recommended Posts

I'm following this tutorial:

http://www.if-not-true-then-false.com/2010/android-sdk-and-eclipse-adt-on-fedora-centos-red-hat-rhel/

 

I get to the part "3.3 Select Android DDMS..."  I try to install Android DDMS and this is what I get:

Cannot complete the install because of a conflicting dependency.

  Software being installed: Android DDMS 22.0.0.v201305140200--675183 (com.android.ide.eclipse.ddms.feature.group 22.0.0.v201305140200--675183)
  Software currently installed: Shared profile 1.0.0.1319545487260 (SharedProfile_PlatformProfile 1.0.0.1319545487260)
  Only one of the following can be installed at once: 
    Eclipse UI 3.7.0.I20110602-0100 (org.eclipse.ui 3.7.0.I20110602-0100)
    Eclipse UI 3.6.1.M20100826-1330 (org.eclipse.ui 3.6.1.M20100826-1330)
    Eclipse UI 3.7.0.v20110928-1505 (org.eclipse.ui 3.7.0.v20110928-1505)
  Cannot satisfy dependency:
    From: Shared profile 1.0.0.1319545487260 (SharedProfile_PlatformProfile 1.0.0.1319545487260)
    To: org.eclipse.ui [3.6.1.M20100826-1330]
  Cannot satisfy dependency:
    From: Android DDMS 22.0.0.v201305140200--675183 (com.android.ide.eclipse.ddms.feature.group 22.0.0.v201305140200--675183)
    To: org.eclipse.ui 3.6.2
 
... and this is where I'm stuck.  How else can I install Android DDMS?

Share this post


Link to post
Share on other sites
Advertisement
Weird. In Eclipse, when I go to Window -> Open Perspective -> Other... -> Open Perspective (window), I can see an option DDMS. Does that mean that it's installed or just the perspective and some pieces are still missing?

Share this post


Link to post
Share on other sites

The easiest thing to do is to just download the ADT Bundle which comes with a custom version of Eclipse that has all the plugins already installed and setup.

Thanks, I didn't know about this. I'll have a look.

Share this post


Link to post
Share on other sites

The easiest thing to do is to just download the ADT Bundle which comes with a custom version of Eclipse that has all the plugins already installed and setup.

Ok, issue resolved.  ADT Bundle did the trick.

 

Thank you Cornstalks.

Share this post


Link to post
Share on other sites
Sign in to follow this  

  • Advertisement
×

Important Information

By using GameDev.net, you agree to our community Guidelines, Terms of Use, and Privacy Policy.

Participate in the game development conversation and more when you create an account on GameDev.net!

Sign me up!